Package org.eclipse.lemminx.extensions.minify

## Class XMLMinifierDocument

- java.lang.Object
- - org.eclipse.lemminx.extensions.minify.XMLMinifierDocument

    public class XMLMinifierDocument
    extends Object

XML minifier which generates several text edits to remove unnecessary spaces.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLMinifierDocument​(DOMDocument xmlDocument, org.eclipse.lsp4j.Range range, SharedSettings sharedSettings)` XML minifier document.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<? extends org.eclipse.lsp4j.TextEdit>` `minify()` Returns the list of TextEdits to minify the XML document.
`List<? extends org.eclipse.lsp4j.TextEdit>` `minify​(DOMDocument document, int start, int end)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLMinifierDocument

    public XMLMinifierDocument​(DOMDocument xmlDocument,
                               org.eclipse.lsp4j.Range range,
                               SharedSettings sharedSettings)

XML minifier document.

### Method Detail

#### minify

    public List<? extends org.eclipse.lsp4j.TextEdit> minify()
                                                      throws BadLocationException

Returns the list of TextEdits to minify the XML document.

Returns:
  the list of TextEdits to minify the XML document.
Throws:
  `BadLocationException`

#### minify

    public List<? extends org.eclipse.lsp4j.TextEdit> minify​(DOMDocument document,
                                                             int start,
                                                             int end)